#include "point.h"


Point3D::Point3D(double x, double y, double z)
{
    this->x = x;
    this->y = y;
    this->z = z;
}

void Point3D::LinearTransform(double matrix[3][3])
{
    double x = this->x, y = this->y, z = this->z;
    this->x = x * matrix[0][0] + y * matrix[0][1] + z * matrix[0][2];
    this->y = x * matrix[1][0] + y * matrix[1][1] + z * matrix[1][2];
    this->z = x * matrix[2][0] + y * matrix[2][1] + z * matrix[2][2];
}
